org.apache.poi.ss.formula.functions

## Class MatrixFunction.OneArrayArg

- java.lang.Object
- - org.apache.poi.ss.formula.functions.Fixed1ArgFunction
  - - org.apache.poi.ss.formula.functions.MatrixFunction.OneArrayArg

- All Implemented Interfaces:
    Function, Function1Arg
  Enclosing class:
    MatrixFunction

      public abstract static class MatrixFunction.OneArrayArg
      extends Fixed1ArgFunction

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `OneArrayArg()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract double[]` | `collectValues(ValueEval arg)`
    `protected abstract double[][]` | `evaluate(double[][] d1)`
    `ValueEval` | `evaluate(int srcRowIndex, int srcColumnIndex, ValueEval arg0)` see `Function.evaluate(ValueEval[], int, int)`

    - ### Methods inherited from class org.apache.poi.ss.formula.functions.Fixed1ArgFunction

      `evaluate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OneArrayArg

          protected OneArrayArg()

  - ### Method Detail

    - #### evaluate

          public ValueEval evaluate(int srcRowIndex,
                                    int srcColumnIndex,
                                    ValueEval arg0)

      Description copied from interface: `Function1Arg`
      see `Function.evaluate(ValueEval[], int, int)`

    - #### evaluate

          protected abstract double[][] evaluate(double[][] d1)
                                          throws EvaluationException

      Throws:
        `EvaluationException`

    - #### collectValues

          protected abstract double[] collectValues(ValueEval arg)
                                             throws EvaluationException

      Throws:
        `EvaluationException`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.